GrailsExtension (Grails 3.2.7)
Date: 2017-03-06

Package: org.grails.gradle.plugin.core

## [Groovy] Class GrailsExtension

- org.grails.gradle.plugin.core.GrailsExtension

- A extension to the Gradle plugin to configure Grails settings

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `GrailsExtension.Agent` | Configuration for the reloading agent

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsExtension.Agent` | `agent` Configure the reloading agent
    `boolean` | `exploded` Whether to include subproject dependencies as directories directly on the classpath, instead of as JAR files
    `boolean` | `native2ascii` Whether to invoke native2ascii on resource bundles
    `boolean` | `native2asciiAnt` Whether to use Ant to do the conversion
    `boolean` | `packageAssets` Whether assets should be packaged in META-INF/assets for plugins
    `boolean` | `pathingJar` Whether to create a jar file to reference the classpath to prevent classpath too long issues in Windows
    `org.gradle.api.Project` | `project`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsExtension (org.gradle.api.Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GrailsExtension.Agent` | `agent(groovy.lang.Closure configurer)` Configure the reloading agent
    `void` | `plugins(groovy.lang.Closure pluginDefinitions)` Allows defining plugins in the available scopes

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### GrailsExtension.Agent agent

      Configure the reloading agent

    - #### boolean exploded

      Whether to include subproject dependencies as directories directly on the classpath, instead of as JAR files

    - #### boolean native2ascii

      Whether to invoke native2ascii on resource bundles

    - #### boolean native2asciiAnt

      Whether to use Ant to do the conversion

    - #### boolean packageAssets

      Whether assets should be packaged in META-INF/assets for plugins

    - #### boolean pathingJar

      Whether to create a jar file to reference the classpath to prevent classpath too long issues in Windows

    - #### org.gradle.api.Project project

  - ### Constructor Detail

    - #### GrailsExtension(org.gradle.api.Project project)

  - ### Method Detail

    - #### GrailsExtension.Agent agent(@groovy.lang.DelegatesTo(Agent) groovy.lang.Closure configurer)

      Configure the reloading agent

    - #### void plugins(groovy.lang.Closure pluginDefinitions)

      Allows defining plugins in the available scopes